Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class WSDL11ToAxisServiceBuilder

    java.lang.Object
      org.apache.axis2.description.WSDLToAxisServiceBuilder
          org.apache.axis2.description.WSDL11ToAxisServiceBuilder

Direct Known Subclasses:
  WSDL11ToAllAxisServicesBuilder

    public class WSDL11ToAxisServiceBuilder

extends WSDLToAxisServiceBuilder

Nested Class Summary
`static class` | `WSDL11ToAxisServiceBuilder.WSDLProcessingException` Inner class declaration for the processing exceptions

Field Summary
`static String` | `BINDING_TYPE_HTTP`
`static String` | `BINDING_TYPE_SOAP`
`static int` | `COMPONENT_BINDING`
`static int` | `COMPONENT_MESSAGE`
`static int` | `COMPONENT_PORT_TYPE`
`static String` | `DOCUMENT_STYLE`
`static String` | `ENCODED_USE`
`protected static org.apache.commons.logging.Log` | `log`
`static String` | `NAMESPACE_DECLARATION_PREFIX`
`static String` | `NAMESPACE_URI`
`protected String` | `portName`
`static String` | `RPC_STYLE`
`static String` | `TRAGET_NAMESPACE`
`static String` | `WRAPPED_OUTPUTNAME_SUFFIX`
`protected javax.wsdl.Definition` | `wsdl4jDefinition`
`protected String` | `wsdlBaseDocumentURI`
`static String` | `XML_NAMESPACE_URI`

Fields inherited from class org.apache.axis2.description.WSDLToAxisServiceBuilder
`AXIS2WRAPPED, axisConfig, axisService, in, isCodegen, isServerSide, nsCount, registry, resolvedRpcWrappedElementMap, serviceName, style, TYPES, XML_SCHEMA_COMPLEX_TYPE_LOCAL_NAME, XML_SCHEMA_ELEMENT_LOCAL_NAME, XML_SCHEMA_IMPORT_LOCAL_NAME, XML_SCHEMA_LOCAL_NAME, XML_SCHEMA_SEQUENCE_LOCAL_NAME, XMLNS_AXIS2WRAPPED, XMLSCHEMA_NAMESPACE_PREFIX, XMLSCHEMA_NAMESPACE_URI, XSD_ELEMENT_FORM_DEFAULT, XSD_NAME, XSD_REF, XSD_TARGETNAMESPACE, XSD_TYPE, XSD_UNQUALIFIED`

Constructor Summary
`WSDL11ToAxisServiceBuilder(javax.wsdl.Definition def, QName serviceName, String portName)`
`WSDL11ToAxisServiceBuilder(javax.wsdl.Definition def, QName serviceName, String portName, boolean isAllPorts)`
`WSDL11ToAxisServiceBuilder(InputStream in)`
`WSDL11ToAxisServiceBuilder(InputStream in, AxisService service)`
`WSDL11ToAxisServiceBuilder(InputStream in, QName serviceName, String portName)` constructor taking in the service name and the port name

Method Summary
`String` | `getDocumentBaseUri()` Gets the URI to the base document associated with the WSDL definition.
`static String` | `getPrefix(String attributeValue)` This method is to split attribute like abc:cde and get the prefix part of it so the method will retuen abc if the ":" is present in the the string else it will return null
`static String` | `getTypeName(String attributeValue)`
`boolean` | `isAllPorts()`
`AxisService` | `populateService()` Populates a given service.
`void` | `setAllPorts(boolean allPorts)`
`void` | `setCustomWSDLResolver(javax.wsdl.xml.WSDLLocator customResolver)` sets a custom WSDL locator
`void` | `setCustomWSLD4JResolver(javax.wsdl.xml.WSDLLocator customResolver)` Deprecated.
`void` | `setDocumentBaseUri(String baseUri)` Sets the URI to the base document associated with the WSDL definition.
`protected void` | `setup()` contains all code which gathers non-service specific information from the wsdl.

Methods inherited from class org.apache.axis2.description.WSDLToAxisServiceBuilder
`createHttpLocationTable, findSchemaPrefix, getBaseUri, getDOMDocumentBuilder, getServiceName, getTemporaryNamespacePrefix, getXMLSchema, isCodegen, isServerSide, replace, setBaseUri, setCodegen, setCustomResolver, setPolicyRegistryFromService, setServerSide, setServiceName, stackToString, stackToString, useAxisConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_PORT_TYPE

    public static final int COMPONENT_PORT_TYPE

See Also:
  Constant Field Values

### COMPONENT_MESSAGE

    public static final int COMPONENT_MESSAGE

See Also:
  Constant Field Values

### COMPONENT_BINDING

    public static final int COMPONENT_BINDING

See Also:
  Constant Field Values

### log

    protected static final org.apache.commons.logging.Log log

### portName

    protected String portName

### wsdl4jDefinition

    protected javax.wsdl.Definition wsdl4jDefinition

### wsdlBaseDocumentURI

    protected String wsdlBaseDocumentURI

### RPC_STYLE

    public static final String RPC_STYLE

See Also:
  Constant Field Values

### DOCUMENT_STYLE

    public static final String DOCUMENT_STYLE

See Also:
  Constant Field Values

### ENCODED_USE

    public static final String ENCODED_USE

See Also:
  Constant Field Values

### WRAPPED_OUTPUTNAME_SUFFIX

    public static final String WRAPPED_OUTPUTNAME_SUFFIX

See Also:
  Constant Field Values

### XML_NAMESPACE_URI

    public static final String XML_NAMESPACE_URI

See Also:
  Constant Field Values

### NAMESPACE_DECLARATION_PREFIX

    public static final String NAMESPACE_DECLARATION_PREFIX

See Also:
  Constant Field Values

### NAMESPACE_URI

    public static final String NAMESPACE_URI

See Also:
  Constant Field Values

### TRAGET_NAMESPACE

    public static final String TRAGET_NAMESPACE

See Also:
  Constant Field Values

### BINDING_TYPE_SOAP

    public static final String BINDING_TYPE_SOAP

See Also:
  Constant Field Values

### BINDING_TYPE_HTTP

    public static final String BINDING_TYPE_HTTP

See Also:
  Constant Field Values

Constructor Detail

### WSDL11ToAxisServiceBuilder

    public WSDL11ToAxisServiceBuilder(InputStream in,
                                      QName serviceName,
                                      String portName)

  constructor taking in the service name and the port name

  Parameters:
    `in` - - InputStream for the WSDL
    `serviceName` - - The service Name
    `portName` - - The port name

### WSDL11ToAxisServiceBuilder

    public WSDL11ToAxisServiceBuilder(javax.wsdl.Definition def,
                                      QName serviceName,
                                      String portName)

Parameters:
  `def` - - The WSDL4J Definition object
  `serviceName` - - The service Name
  `portName` - - The port name

### WSDL11ToAxisServiceBuilder

    public WSDL11ToAxisServiceBuilder(javax.wsdl.Definition def,
                                      QName serviceName,
                                      String portName,
                                      boolean isAllPorts)

Parameters:
  `def` - - The WSDL4J Definition object
  `serviceName` - - The service Name
  `portName` - - The port name
  `isAllPorts` - - boolean representing whether to generate code for all ports or not

### WSDL11ToAxisServiceBuilder

    public WSDL11ToAxisServiceBuilder(InputStream in,
                                      AxisService service)

Parameters:
  `in` -
  `service` -

### WSDL11ToAxisServiceBuilder

    public WSDL11ToAxisServiceBuilder(InputStream in)

Parameters:
  `in` -

Method Detail

### setCustomWSLD4JResolver

    public void setCustomWSLD4JResolver(javax.wsdl.xml.WSDLLocator customResolver)

  Deprecated.

  See Also:
    `setCustomWSDLResolver`

### setCustomWSDLResolver

    public void setCustomWSDLResolver(javax.wsdl.xml.WSDLLocator customResolver)

  sets a custom WSDL locator

  Parameters:
    `customResolver` -

### setDocumentBaseUri

    public void setDocumentBaseUri(String baseUri)

  Sets the URI to the base document associated with the WSDL definition. This identifies the origin of the Definition and allows the Definition to be reloaded. Note that this is the URI of the base document, not the imports.

  Parameters:
    `baseUri` -

### getDocumentBaseUri

    public String getDocumentBaseUri()

  Gets the URI to the base document associated with the WSDL definition. This identifies the origin of the Definition and allows the Definition to be reloaded. Note that this is the URI of the base document, not the imports.

### populateService

    public AxisService populateService()
                                throws AxisFault

  Populates a given service.

  Specified by:
    `populateService` in class `WSDLToAxisServiceBuilder`
  Throws:
    `AxisFault`

### setup

    protected void setup()
                  throws javax.wsdl.WSDLException

  contains all code which gathers non-service specific information from the wsdl.

  After all the setup completes successfully, the setupComplete field is set so that any subsequent calls to setup() will result in a no-op. Note that subclass WSDL11ToAllAxisServicesBuilder will call populateService for each port in the WSDL. Separating the non-service specific information here allows WSDL11ToAllAxisServicesBuilder to only do this work 1 time per WSDL, instead of for each port on each service.

  Throws:
    `javax.wsdl.WSDLException` - if readInTheWSDLFile fails

### isAllPorts

    public boolean isAllPorts()

### setAllPorts

    public void setAllPorts(boolean allPorts)

### getPrefix

    public static String getPrefix(String attributeValue)

  This method is to split attribute like abc:cde and get the prefix part of it so the method will retuen abc if the ":" is present in the the string else it will return null

  Parameters:
    `attributeValue` - : String
  Returns:
    String

### getTypeName

    public static String getTypeName(String attributeValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.